## rest2web 0.5.2~alpha%2Bsvn-r248

=== debian/changelog ===
rest2web (0.5.2~alpha+svn-r248-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the build reproducible. (Closes: #833438)
  * Add missing ${misc:Depends} binary dependencies.
  * Use canonical "anonscm" version of Vcs-Svn.

 -- Chris Lamb <lamby@debian.org>  Sun, 01 Oct 2017 09:47:29 +0100

rest2web (0.5.2~alpha+svn-r248-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install libraries in the correct directory. Closes: #811314

 -- Elena Grandi <valhalla-d@trueelena.org>  Sun, 28 Feb 2016 15:06:40 +0100

rest2web (0.5.2~alpha+svn-r248-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use source format 3.0 (quilt).
  * debian/control: use Vcs-Svn instead of XS-Vcs-Svn.
  * Build using dh-python instead of python-support.  Closes: #786101

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 23:22:05 +0000

rest2web (0.5.2~alpha+svn-r248-2) unstable; urgency=low

  * New maintainer. Closes: #470751
  * debian/control: Upgraded to Standards-Version 3.8.1

 -- Gustavo Andrés Angulo Morales <woakas@gfc.edu.co>  Tue, 05 May 2009 09:48:06 -0500

rest2web (0.5.2~alpha+svn-r248-1) unstable; urgency=low

  * New upstream commit
    - fixes odict and pathutils compatibility with Python 2.5 (closes: #399359).

 -- martin f. krafft <madduck@debian.org>  Tue, 10 Jul 2007 14:19:58 +0200

rest2web (0.5.0.svn-r224-1) unstable; urgency=low

  * New upstream version
    - removes non-free icons (closes: #388993).
    - adds a manpage (closes: #384054).
  * Removed /usr/bin/rest2web symlink. Use r2w instead.

 -- martin f. krafft <madduck@debian.org>  Wed, 18 Oct 2006 22:42:31 +0200

rest2web (0.5.0~beta~svn-r210-1) unstable; urgency=low

  * New upstream commit.
    - now restindex/uservalues can appear within comments at the start of the
      document, but with restrictions: they cannot appear on a line starting
      with two dots, and no comments may follow. Also comments appearing
      before the restindex stanza are not visibile (as HTML comments) in the
      final output. This addresses #382717 but does not really close it yet,
      thus I'll tag it fixed.
  * Made some changes to follow pysupport development.

 -- martin f. krafft <madduck@debian.org>  Tue,  5 Sep 2006 15:09:13 +0200

rest2web (0.5.0~beta~svn-r201-1) unstable; urgency=low

  * New upstream SVN release.
  * Added Python licence text to copyright file due to modules/colorize.py.
  * Removed the nopause patch, which is now integrated with upstream.

 -- martin f. krafft <madduck@debian.org>  Mon,  7 Aug 2006 17:40:50 +0100

rest2web (0.5.0~beta~svn-r194-1) experimental; urgency=low

  * Initial release from SVN r194, with debian/nopause.patch applied (and
    submitted upstream) to enable noninteractive builds. The patch was applied
    before .orig.tar.gz creation. (closes: #380385)

 -- martin f. krafft <madduck@debian.org>  Sun,  6 Aug 2006 02:19:39 +0100
