## rest2web 0.5.2~alpha+svn-r248

=== debian/control ===
Source: rest2web
Section: web
Priority: extra
Maintainer: Gustavo Andrés Angulo Morales <woakas@gfc.edu.co>
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: unzip, python, dh-python, python-docutils
Standards-Version: 3.8.1
Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/rest2web/trunk

Package: rest2web
Architecture: all
Depends: ${python:Depends}, python-docutils
Suggests: rest2web-doc (= ${source:Version})
Description: web site builder using ReStructured Text as basic content format
 rest2web is a simple tool that lets you build your website from a single
 template (or as many as you want), and keep the contents in ReStructured Text
 (docutils; you can still keep pages in HTML if needed). The prefix "rest"
 does not in any way allude to the concept of "representational state
 transfer."
 .
 The tool provides a host of features, for example:
 .
  * Automatically builds index pages and navigation links (sidebars and
    breadcrumbs).
  * Aids with the translation of the site to other languages.
  * Embedded code in templates for unlimited expressiveness.
  * Flexible macro system.
  * Uses relative links, so sites can be viewed from the filesystem.
  * Uses unicode internally.
  * Built-in gallery creator plugin.
 .
 Adding new pages is as easy as dropping a text file into the right folder;
 rest2web builds the new page and adds a link to it in the index (optionally
 with a description as well). Removing a page is just as easy: delete the
 file, and when you run rest2web again it removes the entry.

Package: rest2web-doc
Section: doc
Architecture: all
Description: documentation for rest2web
 rest2web is a web site generator using ReStructured Text for content
 definition.
 .
 This package provides the rest2web documentation.
